UpnpEvent.c File Reference

Source file for UpnpEvent methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpEvent.h"`
Include dependency graph for UpnpEvent.c:

## Data Structures

struct | s_UpnpEvent

## Functions

UpnpEvent * | UpnpEvent_new (void)
void | UpnpEvent_delete (UpnpEvent *q)
int | UpnpEvent_assign (UpnpEvent *p, const UpnpEvent *q)
UpnpEvent * | UpnpEvent_dup (const UpnpEvent *q)
int | UpnpEvent_get_EventKey (const UpnpEvent *p)
int | UpnpEvent_set_EventKey (UpnpEvent *p, int n)
IXML_Document * | UpnpEvent_get_ChangedVariables (const UpnpEvent *p)
int | UpnpEvent_set_ChangedVariables (UpnpEvent *p, IXML_Document *n)
const UpnpString * | UpnpEvent_get_SID (const UpnpEvent *p)
int | UpnpEvent_set_SID (UpnpEvent *p, const UpnpString *s)
size_t | UpnpEvent_get_SID_Length (const UpnpEvent *p)
const char * | UpnpEvent_get_SID_cstr (const UpnpEvent *p)
int | UpnpEvent_strcpy_SID (UpnpEvent *p, const char *s)
int | UpnpEvent_strncpy_SID (UpnpEvent *p, const char *s, size_t n)
void | UpnpEvent_clear_SID (UpnpEvent *p)

## Detailed Description

Source file for UpnpEvent methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpEvent_assign()

int UpnpEvent_assign | ( | UpnpEvent * | p,
|  | const UpnpEvent * | q )

Assignment operator

References UpnpEvent_get_ChangedVariables(), UpnpEvent_get_EventKey(), UpnpEvent_get_SID(), UpnpEvent_set_ChangedVariables(), UpnpEvent_set_EventKey(), and UpnpEvent_set_SID().

Referenced by UpnpEvent_dup().

## UpnpEvent_clear_SID()

void UpnpEvent_clear_SID | ( | UpnpEvent * | p | ) |

UpnpEvent_clear_SID

References UpnpString_clear().

## UpnpEvent_delete()

void UpnpEvent_delete | ( | UpnpEvent * | p | ) |

Destructor

References UpnpString_delete().

Referenced by gena_process_notification_event().

## UpnpEvent_dup()

UpnpEvent * UpnpEvent_dup | ( | const UpnpEvent * | p | ) |

Copy Constructor

References UpnpEvent_assign(), and UpnpEvent_new().

## UpnpEvent_get_ChangedVariables()

IXML_Document * UpnpEvent_get_ChangedVariables | ( | const UpnpEvent * | p | ) |

UpnpEvent_get_ChangedVariables

Referenced by SampleUtil_PrintEvent(), and UpnpEvent_assign().

## UpnpEvent_get_EventKey()

int UpnpEvent_get_EventKey | ( | const UpnpEvent * | p | ) |

UpnpEvent_get_EventKey

Referenced by SampleUtil_PrintEvent(), and UpnpEvent_assign().

## UpnpEvent_get_SID()

const UpnpString * UpnpEvent_get_SID | ( | const UpnpEvent * | p | ) |

UpnpEvent_get_SID

Referenced by SampleUtil_PrintEvent(), UpnpEvent_assign(), UpnpEvent_get_SID_cstr(), and UpnpEvent_get_SID_Length().

## UpnpEvent_get_SID_cstr()

const char * UpnpEvent_get_SID_cstr | ( | const UpnpEvent * | p | ) |

UpnpEvent_get_SID_cstr

References UpnpEvent_get_SID(), and UpnpString_get_String().

## UpnpEvent_get_SID_Length()

size_t UpnpEvent_get_SID_Length | ( | const UpnpEvent * | p | ) |

UpnpEvent_get_SID_Length

References UpnpEvent_get_SID(), and UpnpString_get_Length().

## UpnpEvent_new()

UpnpEvent * UpnpEvent_new | ( | void |  | ) |

Constructor

References UpnpString_new().

Referenced by gena_process_notification_event(), and UpnpEvent_dup().

## UpnpEvent_set_ChangedVariables()

int UpnpEvent_set_ChangedVariables | ( | UpnpEvent * | p,
|  | IXML_Document * | n )

UpnpEvent_set_ChangedVariables

Referenced by gena_process_notification_event(), and UpnpEvent_assign().

## UpnpEvent_set_EventKey()

int UpnpEvent_set_EventKey | ( | UpnpEvent * | p,
|  | int | n )

UpnpEvent_set_EventKey

Referenced by gena_process_notification_event(), and UpnpEvent_assign().

## UpnpEvent_set_SID()

int UpnpEvent_set_SID | ( | UpnpEvent * | p,
|  | const UpnpString * | s )

UpnpEvent_set_SID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by gena_process_notification_event(), and UpnpEvent_assign().

## UpnpEvent_strcpy_SID()

int UpnpEvent_strcpy_SID | ( | UpnpEvent * | p,
|  | const char * | s )

UpnpEvent_strcpy_SID

References UpnpString_set_String().

## UpnpEvent_strncpy_SID()

int UpnpEvent_strncpy_SID | ( | UpnpEvent * | p,
|  | const char * | s,
|  | size_t | n )

UpnpEvent_strncpy_SID

References UpnpString_set_StringN().